Subject: bug#37594: Menu rearrangement

From: Juri Linkov <[email-masked]>
Date: Fri, 17 Jan 2020 02:24:51 +0200

>> BTW, I can't believe there is no desktop-mode activation from the menu bar.
>> Under "Options" there is "Save Place in Files between Sessions",
>> but no menu item for saving windows/tabs/frames in the desktop file.
>> How about adding below the above a new menu option with a title like
>> "Save Sessions (with buffers and windows)"
>
> Fine with me, but "Save Sessions" is not the right title for this
> feature.  Something like "Save Emacs State" or "Save Desktop", I
> think.

Referring to Desktop is what I tried to avoid in the menu.
The name Desktop says nothing to the user who doesn't know
that the package name is desktop.el.

The Info node name describing this feature is named
"Saving Emacs Sessions", this is why "Save Session"
makes sense.  Also the same node says: "save the state of Emacs",
so maybe a good name would be "Save State between Sessions"
where "between Sessions" is the same text that is already
presented in "Save Place in Files between Sessions".